<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%@ page language="java"%>
<%@ page pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.rpm.WebUIConstants"%>
<%@ page import="com.ibm.rpm.RPMUtilityBean"%>
<%@ page import="com.ibm.rpm.RPMSettingsBean"%>
<%@ page import="com.ibm.rpm.i18n.LabelExtractor"%>
<%	
    request.setCharacterEncoding(WebUIConstants.UTF8); // Must absolutely be done before the first request.getParameter()
	// Fix ChangeRequest RATLC01034584
	    // Code compatible Servlet 2.4 only
	    // response.setCharacterEncoding(WebUIConstants.UTF8);
	    // response.setContentType("text/html"); //$NON-NLS-1$
	    // Code compatible Servlet 2.3 & 2.4
	    response.setContentType("text/html; charset=UTF-8"); //$NON-NLS-1$
	// End-of-fix ChangeRequest RATLC01034584
	response.setHeader("Pragma", "No-cache"); //$NON-NLS-1$ //$NON-NLS-2$
	response.setHeader("Cache-Control", "no-cache"); //$NON-NLS-1$  //$NON-NLS-2$
	response.setDateHeader("Expires", 0); //$NON-NLS-1$
	
    String languageId = RPMUtilityBean.getLanguageId(request);
    Locale locale = RPMUtilityBean.getLocale(request);
	
    String restView = request.getParameter("view"); //$NON-NLS-1$
    String documentId = request.getParameter("documentId"); //$NON-NLS-1$
    
	// Process the logged user display name
    String displayName = (String)session.getAttribute(WebUIConstants.DISPLAY_NAME);
    
    // Process the server name
    String serverName = RPMSettingsBean.getInstance().getServerDisplayName(locale);
  
    boolean isDebugMode = RPMUtilityBean.hasDebugConsole();
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <style>
        html, body{
            width: 100%;
            height: 100%;
            padding: 0px;
            margin: 0px;
            overflow: hidden;
        }
    </style>
    <title><%=
        LabelExtractor.get("dojo_common_applicationName", locale) //$NON-NLS-1$
    %></title>
	<link rel="shortcut icon" href="../icons/favicon.ico" type="image/x-icon"/>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link href="../theme/style.css" rel="stylesheet" type="text/css" />	
	<link href="../theme/HtmlRPMApplication.css" rel="stylesheet" type="text/css" />	
	<script>
		djConfig = {
			isDebug: <%= isDebugMode ? Boolean.TRUE.toString() : Boolean.FALSE.toString() %>,
            debugAtAllCosts: <%= isDebugMode ? Boolean.TRUE.toString() : Boolean.FALSE.toString() %>,
            locale: "<%= languageId %>"
		};
	</script>
	<script src="../dojo/dojo.js"></script>
	<script >
		// standard components
		dojo.require("dojo.widget.HtmlWidget");
		dojo.require("dojo.widget.DebugConsole");
		dojo.require("dojo.widget.LayoutContainer");
		dojo.require("dojo.widget.ContentPane");
		dojo.require("dojo.event.*");
		dojo.require("dojo.html.*");

		dojo.registerModulePath("com.ibm.rpm",
			"../dojo-rpm/com/ibm/rpm");
			
		dojo.require("com.ibm.rpm.util.LocalizationEngine");
    
        //all dojo.require above this line
        dojo.hostenv.writeIncludes(); //makes debugging in Venkman possible
    </script>
	<script src="../RPMSecurity.jsp"></script>
    <script language="JavaScript" type="text/javascript">   
		// initialize LocalizatoinEngine with the selected locale
		com.ibm.rpm.util.LocalizationEngine.getInstance("<%= languageId %>");

		dojo.require("com.ibm.rpm.manifest");

		// olympia components
		dojo.require("com.ibm.rpm.widget.RPMHeader");		
		dojo.require("com.ibm.rpm.widget.RPMUpload");
		dojo.require("com.ibm.rpm.intf.*");
	</script>
</head>
<body>
<% if (isDebugMode) { %>
    <div id="widgetDebug" dojoType="DebugConsole"
      title="Debug Console"
      iconSrc="../icons/debug.png"
      style="width:180px;height:250px;left:10px;top:400px;z-index:2000;"
      hasShadow="false"
      resizable="true"
      displayMinimizeAction="true"
    ></div>
<% } %>

	<div dojoType="LayoutContainer" layoutChildPriority="top-bottom" 
		style="width:100%;height:100%;">
		<div id="paneMainHeader" dojoType="ContentPane" style="overflow:hidden;"
			layoutAlign="top">
				<div dojoType="com.ibm.rpm.widget:RPMHeader" 
					showLoginInfo="true"
					showLogout="false"
					showIntro="false"
					userName="<%= displayName %>"
					userResourceId="<%= session.getAttribute(WebUIConstants.ResourceID) %>"					
			 		serverName="<%= serverName %>"
			 		logoutURL="<%= request.getContextPath() %>/logout.jsp"
					></div>
		</div>
		<div dojoType="ContentPane" layoutAlign="client" style="padding: 6px;">
			<div dojoType="com.ibm.rpm.widget:RPMUpload"
				style="width:98%;height:98%;"
				sessionId="<%= session.getAttribute(WebUIConstants.RPMSessionID)%>"
				restURL="<%= request.getContextPath() %>"
				restView="<%= restView %>"
				documentId="<%= documentId %>"
			>
			</div>
		</div>
	</div>
</body>
</html>
